/*  ------------------------------------------------------------------------  */
/* QtMaterial - https://github.com/UN-GCPDS/qt-material
/* By Yeison Cardona - GCPDS
/*  ------------------------------------------------------------------------  */

*{
  color: #ffffff;
  font-family: Roboto;
  line-height: ;
  font-size: ;
  selection-background-color: #88ffff;
  selection-color: #000000;
}

*:focus {
   outline: none;
}

/*  ------------------------------------------------------------------------  */
/*  Custom colors  */

.danger{
  color: #dc3545;
}

.warning{
  color: #ffc107;
}

.success{
  color: #17a2b8;
}

/*  ------------------------------------------------------------------------  */
/*  Basic widgets  */

QWidget {
  background-color: #31363b;
}

QFrame {
  background-color: #31363b;
  border: 1px solid #232629;
  border-radius: 4px;
}

QSplitter {
  background-color: transparent;
  border: none
}

QStatusBar {
  color: #ffffff;
  background-color: rgba(79, 91, 98, 0.2);
  border-radius: 0px;
}

QScrollArea,
QStackedWidget,
QWidget > QToolBox,
QToolBox > QWidget,
QTabWidget > QWidget {
  border: none;
}

QTabWidget::pane {
  border: none;
}

/*  ------------------------------------------------------------------------  */
/*  Inputs  */

QDateTimeEdit,
QSpinBox,
QDoubleSpinBox,
QTextEdit,
QLineEdit,
QPushButton {
  color: #4dd0e1;
  background-color: #31363b;
  border: 1px solid #4dd0e1;
  border-radius: 4px;
  padding: 8px 16px ;
  height: 18px;
}

QDateTimeEdit,
QSpinBox,
QDoubleSpinBox,
QTreeView,
QListView,
QLineEdit,
QComboBox {
  padding-left: 15px;
  border-radius: 0px;
  background-color: #232629;
  border-width: 0 0 2px 0;
  border-radius: 0px;
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
}

QPlainTextEdit {
  border-radius: 4px;
  padding: 8px 16px;
  background-color: #31363b;
  border: 1px solid #232629;
}

QDateTimeEdit:disabled,
QSpinBox:disabled,
QDoubleSpinBox:disabled,
QTextEdit:disabled,
QLineEdit:disabled {
  color: rgba(77, 208, 225, 0.2);
  background-color: rgba(35, 38, 41, 0.75);
  border: 2px solid rgba(77, 208, 225, 0.2);
  border-width: 0 0 2px 0;
  padding: 8px 16px ;
  border-radius: 0px;
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
}

QTextEdit {
  padding: 8px;
  border-radius: 4px;
  background-color: #232629;
}

QDateTimeEdit:disabled,
QSpinBox:disabled,
QDoubleSpinBox:disabled,
QTextEdit:disabled,
QLineEdit:disabled {
  color: rgba(77, 208, 225, 0.2);
  background-color: rgba(35, 38, 41, 0.75);
  border: 2px solid rgba(77, 208, 225, 0.2);
  border-width: 0 0 2px 0;
}

/*  ------------------------------------------------------------------------  */
/*  QComboBox  */

QComboBox {
  color: #4dd0e1;
  border: 1px solid #4dd0e1;
  border-width: 0 0 2px 0;
  background-color: #232629;
  border-radius: 0px;
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
  height: 36px;
}

QComboBox:disabled {
  color: rgba(77, 208, 225, 0.2);
  background-color: rgba(35, 38, 41, 0.75);
  border-bottom: 2px solid rgba(77, 208, 225, 0.2);
}

QComboBox::drop-down {
  border: none;
  color: #4dd0e1;
  width: 20px;
}

QComboBox::down-arrow {
  image: url(icon:/primary/downarrow.png);
  margin-right: 10px;
}

QComboBox::down-arrow:disabled {
  image: url(icon:/disabled/downarrow.png);
  margin-right: 10px;
}

QComboBox QAbstractItemView {
  background-color: #232629;
  border: 2px solid #4f5b62;
  border-radius: 2px;
}

QComboBox[frame='false'] {
  color: #4dd0e1;
  background-color: transparent;
  border: 1px solid transparent;
}
QComboBox[frame='false']:disabled {
  color: rgba(77, 208, 225, 0.2);
}

/*  ------------------------------------------------------------------------  */
/*  Spin buttons  */

QDateTimeEdit::up-button,
QDoubleSpinBox::up-button,
QSpinBox::up-button {
  subcontrol-origin: border;
  subcontrol-position: top right;
  width: 20px; /* 16 + 2*1px border-width = 15px padding + 3px parent border */
  image: url(icon:/primary/uparrow.png);
  border-width: 0px;
  margin-right: 5px;
}

QDateTimeEdit::up-button:disabled,
QDoubleSpinBox::up-button:disabled,
QSpinBox::up-button:disabled {
  image: url(icon:/disabled/uparrow.png);
}

QDateTimeEdit::down-button,
QDoubleSpinBox::down-button,
QSpinBox::down-button {
  subcontrol-origin: border;
  subcontrol-position: bottom right;
  width: 20px;
  image: url(icon:/primary/downarrow.png);
  border-width: 0px;
  border-top-width: 0;
  margin-right: 5px;
}

QDateTimeEdit::down-button:disabled,
QDoubleSpinBox::down-button:disabled,
QSpinBox::down-button:disabled {
  image: url(icon:/disabled/downarrow.png);
}

/*  ------------------------------------------------------------------------  */
/*  QPushButton  */

QPushButton {
  text-transform: uppercase;
  margin: 0px;
  padding: 0px 16px;
  height: 34px;
  min-height: 34px;
  max-height: 34px;
  font-weight: bold;
}

QPushButton:checked,
QPushButton:pressed {
  color: #31363b;
  background-color: #4dd0e1;
}

QPushButton:flat {
  padding: 5px;
  margin: 0px;
  color: #4dd0e1;
  border: none;
  background-color: transparent;
}

QPushButton:flat:hover {
  background-color: rgba(77, 208, 225, 0.2);
}

QPushButton:flat:pressed,
QPushButton:flat:checked {
  background-color: rgba(77, 208, 225, 0.1);
}

QPushButton:disabled,
QPushButton:flat:disabled {
  color: rgba(79, 91, 98, 0.75);
  background-color: transparent;
  border-color:  #232629;
}

QPushButton:disabled {
  border: 2px solid rgba(79, 91, 98, 0.75);
}

QPushButton:checked:disabled {
  color: #232629;
  background-color: #4f5b62;
  border-color:  #4f5b62;
}

/*  ------------------------------------------------------------------------  */
/*  QTabBar  */

QTabBar{
  text-transform: uppercase;
  font-weight: bold;
}

QTabBar::tab {
  color: #ffffff;
  border: 0px;
}

QTabBar::tab:bottom,
QTabBar::tab:top{
  padding: 0 15px;
  height: 30px;
}

QTabBar::tab:left,
QTabBar::tab:right{
  padding: 15px 0;
  width: 30px;
}

QTabBar::tab:top:selected,
QTabBar::tab:top:hover {
  color: #4dd0e1;
  border-bottom: 2px solid #4dd0e1;
}

QTabBar::tab:bottom:selected,
QTabBar::tab:bottom:hover {
  color: #4dd0e1;
  border-top: 2px solid #4dd0e1;
}

QTabBar::tab:right:selected,
QTabBar::tab:right:hover {
  color: #4dd0e1;
  border-left: 2px solid #4dd0e1;
}

QTabBar::tab:left:selected,
QTabBar::tab:left:hover {
  color: #4dd0e1;
  border-right: 2px solid #4dd0e1;
}

QTabBar QToolButton:hover,
QTabBar QToolButton {
  border: 20px;
  background-color: #31363b;
}

QTabBar QToolButton::up-arrow {
  image: url(icon:/disabled/uparrow2.png);
}

QTabBar QToolButton::up-arrow:hover {
  image: url(icon:/primary/uparrow2.png);
}

QTabBar QToolButton::down-arrow {
  image: url(icon:/disabled/downarrow2.png);
}

QTabBar QToolButton::down-arrow:hover {
  image: url(icon:/primary/downarrow2.png);
}

QTabBar QToolButton::right-arrow {
  image: url(icon:/primary/rightarrow2.png);
}

QTabBar QToolButton::right-arrow:hover {
  image: url(icon:/disabled/rightarrow2.png);
}

QTabBar QToolButton::left-arrow {
  image: url(icon:/primary/leftarrow2.png);
}

QTabBar QToolButton::left-arrow:hover {
  image: url(icon:/disabled/leftarrow2.png);
}

QTabBar::close-button {
  image: url(icon:/disabled/tab_close.png);
}

QTabBar::close-button:hover {
  image: url(icon:/primary/tab_close.png);
}

/*  ------------------------------------------------------------------------  */
/*  QGroupBox  */

QGroupBox {
  background-color: #232629;
  border-radius: 4px;
  padding: 15px;
  padding-top: 30px;
  line-height: 13px;
  text-transform: uppercase;
}

QGroupBox::title {
  color: rgb(255, 255, 255);
  subcontrol-origin: margin;
  subcontrol-position: top left;
  padding: 0 15px;
  margin-top: 10px;
  background-color: #31363b;
  background-color: transparent;
  height: 20px;
  border-radius: 8px;
}

/*  ------------------------------------------------------------------------  */
/*  QRadioButton and QCheckBox labels  */

QRadioButton,
QCheckBox {
  spacing: 10px;
  color: #ffffff;
  line-height: 14px;
  height: 30px;
  background-color: transparent;
  spacing: 5px;
}

QRadioButton:disabled,
QCheckBox:disabled {
  color: rgba(255, 255, 255, 0.3);
}

/*  ------------------------------------------------------------------------  */
/*  General Indicators  */

QMenu::indicator,
QListView::indicator,
QTableWidget::indicator,
QRadioButton::indicator,
QCheckBox::indicator {
  width: 24px;
  height: 24px;
  border-radius: 4px;
 }

/*  ------------------------------------------------------------------------  */
/*  QListView Indicator  */

QListView::indicator:checked,
QListView::indicator:checked:selected,
QListView::indicator:checked:focus {
  image: url(icon:/primary/checklist.png);
}

QListView::indicator:checked:selected:active {
  image: url(icon:/primary/checklist_invert.png);
}

QListView::indicator:checked:disabled {
  image: url(icon:/disabled/checklist.png);
}

QListView::indicator:indeterminate,
QListView::indicator:indeterminate:selected,
QListView::indicator:indeterminate:focus {
  image: url(icon:/primary/checklist_indeterminate.png);
}

QListView::indicator:indeterminate:selected:active {
  image: url(icon:/primary/checklist_indeterminate_invert.png);
}

QListView::indicator:indeterminate:disabled {
  image: url(icon:/disabled/checklist_indeterminate.png);
}

/*  ------------------------------------------------------------------------  */
/*  QTableView Indicator  */

QTableView::indicator:enabled:checked,
QTableView::indicator:enabled:checked:selected,
QTableView::indicator:enabled:checked:focus {
  image: url(icon:/primary/checkbox_checked.png);
}

QTableView::indicator:checked:selected:active {
  image: url(icon:/primary/checkbox_checked_invert.png);
}

QTableView::indicator:disabled:checked,
QTableView::indicator:disabled:checked:selected,
QTableView::indicator:disabled:checked:focus {
  image: url(icon:/disabled/checkbox_checked.png);
}

QTableView::indicator:enabled:unchecked,
QTableView::indicator:enabled:unchecked:selected,
QTableView::indicator:enabled:unchecked:focus {
  image: url(icon:/primary/checkbox_unchecked.png);
}

QTableView::indicator:unchecked:selected:active {
  image: url(icon:/primary/checkbox_unchecked_invert.png);
}

QTableView::indicator:disabled:unchecked,
QTableView::indicator:disabled:unchecked:selected,
QTableView::indicator:disabled:unchecked:focus {
  image: url(icon:/disabled/checkbox_unchecked.png);
}

QTableView::indicator:enabled:indeterminate,
QTableView::indicator:enabled:indeterminate:selected,
QTableView::indicator:enabled:indeterminate:focus {
  image: url(icon:/primary/checkbox_indeterminate.png);
}

QTableView::indicator:indeterminate:selected:active {
  image: url(icon:/primary/checkbox_indeterminate_invert.png);
}

QTableView::indicator:disabled:indeterminate,
QTableView::indicator:disabled:indeterminate:selected,
QTableView::indicator:disabled:indeterminate:focus {
  image: url(icon:/disabled/checkbox_indeterminate.png);
}

/*  ------------------------------------------------------------------------  */
/*  QCheckBox Indicator  */

QCheckBox::indicator:checked {
  image: url(icon:/primary/checkbox_checked.png);
}

QCheckBox::indicator:unchecked {
  image: url(icon:/primary/checkbox_unchecked.png);
}

QCheckBox::indicator:indeterminate {
  image: url(icon:/primary/checkbox_indeterminate.png);
}

QCheckBox::indicator:checked:disabled {
  image: url(icon:/disabled/checkbox_checked.png);
}

QCheckBox::indicator:unchecked:disabled {
  image: url(icon:/disabled/checkbox_unchecked.png);
}

QCheckBox::indicator:indeterminate:disabled {
  image: url(icon:/disabled/checkbox_indeterminate.png);
}

/*  ------------------------------------------------------------------------  */
/*  QRadioButton Indicator  */

QRadioButton::indicator:checked {
  image: url(icon:/primary/radiobutton_checked.png);
}

QRadioButton::indicator:unchecked {
  image: url(icon:/primary/radiobutton_unchecked.png);
}

QRadioButton::indicator:checked:disabled {
  image: url(icon:/disabled/radiobutton_checked.png);
}

QRadioButton::indicator:unchecked:disabled {
  image: url(icon:/disabled/radiobutton_unchecked.png);
}

/*  ------------------------------------------------------------------------  */
/*  QDockWidget  */

QDockWidget {
  color: #ffffff;
  text-transform: uppercase;
  border: 2px solid #232629;
  titlebar-close-icon: url(icon:/primary/close.png);
  titlebar-normal-icon: url(icon:/primary/float.png);
  border-radius: 4px;
}

QDockWidget::title {
  text-align: left;
  padding-left: 35px;
  padding: 3px;
  margin-top: 4px;
}

/*  ------------------------------------------------------------------------  */
/*  QComboBox indicator  */

QComboBox::indicator:checked {
  image: url(icon:/primary/checklist.png);
}

QComboBox::indicator:checked:selected {
  image: url(icon:/primary/checklist_invert.png);
}

/*  ------------------------------------------------------------------------  */
/*  Menu Items  */

QComboBox::item,
QCalendarWidget QMenu::item,
QMenu::item {
  height: 26px;
  border: 8px solid transparent;
  color: #ffffff;
}

QCalendarWidget QMenu::item,
QMenu::item {
  padding: 0px 25px 0px 20px;
}

QComboBox::item:selected,
QCalendarWidget QMenu::item:selected,
QMenu::item:selected {
  color: #000000;
  background-color: #88ffff;
  border-radius: 4px;
}

QComboBox::item:disabled,
QCalendarWidget QMenu::item:disabled,
QMenu::item:disabled {
  color: rgba(255, 255, 255, 0.3);
}

/*  ------------------------------------------------------------------------  */
/*  QMenu  */

QCalendarWidget QMenu,
QMenu {
  background-color: #232629;
  border: 2px solid #4f5b62;
  border-radius: 2px;
  margin-top: 3px;
}

QMenu::separator {
  height: 2px;
  background-color: #4f5b62;
  margin-left: 2px;
  margin-right: 2px;
}

QMenu::right-arrow{
  image: url(icon:/primary/rightarrow.png);
  width: 15px;
  height: 15px;
}

QMenu::right-arrow:selected{
  image: url(icon:/disabled/rightarrow.png);
}

QMenu::indicator:non-exclusive:unchecked {
  image: url(icon:/primary/checkbox_unchecked.png);
}

QMenu::indicator:non-exclusive:unchecked:selected {
  image: url(icon:/primary/checkbox_unchecked_invert.png);
}

QMenu::indicator:non-exclusive:checked {
  image: url(icon:/primary/checkbox_checked.png);
}

QMenu::indicator:non-exclusive:checked:selected {
  image: url(icon:/primary/checkbox_checked_invert.png);
}

QMenu::indicator:exclusive:unchecked {
  image: url(icon:/primary/radiobutton_unchecked.png);
}

QMenu::indicator:exclusive:unchecked:selected {
  image: url(icon:/primary/radiobutton_unchecked_invert.png);
}

QMenu::indicator:exclusive:checked {
  image: url(icon:/primary/radiobutton_checked.png);
}

QMenu::indicator:exclusive:checked:selected {
  image: url(icon:/primary/radiobutton_checked_invert.png);
}

/*  ------------------------------------------------------------------------  */
/*  QMenuBar  */

QMenuBar {
  background-color: #232629;
  color: #ffffff;
}

QMenuBar::item {
  height: 30px;
  padding: 8px;
  background-color: transparent;
  color: #ffffff;
}

QMenuBar::item:selected,
QMenuBar::item:pressed {
  color: #000000;
  background-color: #88ffff;
}

/*  ------------------------------------------------------------------------  */
/*  QToolBox  */

QToolBox::tab {
  background-color: #232629;
  color: #ffffff;
  padding-left: 15px;
  text-transform: uppercase;
  border-radius: 2px;
}

QToolBox::tab:hover {
  background-color: rgba(77, 208, 225, 0.2);
}

/*  ------------------------------------------------------------------------  */
/*  QProgressBar  */

QProgressBar {
  border-radius: 0;
  background-color: #4f5b62;
  text-align: center;
  color: transparent;
}

QProgressBar::chunk {
  background-color: #4dd0e1;
}

/*  ------------------------------------------------------------------------  */
/*  QScrollBar  */

QScrollBar:horizontal {
  border: 0;
  background: #232629;
  height: 8px;
}

QScrollBar:vertical {
  border: 0;
  background: #232629;
  width: 8px;
}

QScrollBar::handle:horizontal {
  background: #4f5b62;
  min-width: 20px;
}

QScrollBar::handle:vertical {
  background: #4f5b62;
  min-height: 20px;
}

QScrollBar::handle:vertical:hover,
QScrollBar::handle:horizontal:hover {
  background: #4dd0e1;
}

QScrollBar::add-line:vertical,
QScrollBar::sub-line:vertical,
QScrollBar::add-line:horizontal,
QScrollBar::sub-line:horizontal {
  border: 0;
  background: transparent;
  width: 0px;
  height: 0px;
}

/*  ------------------------------------------------------------------------  */
/*  QSlider  */

QSlider:horizontal {
  min-height: 20px;
  max-height: 20px;
}

QSlider:vertical {
  min-width: 20px;
  max-width: 20px;
}

QSlider::groove:horizontal {
  height: 4px;
  background: #393939;
  margin: 0 10px;
}

QSlider::groove:vertical {
  width: 4px;
  background: #393939;
  margin: 10px 0;
  border-radius: 20px;
}

QSlider::handle:horizontal {
  image: url(icon:/primary/slider.png);
  width: 20px;
  height: 20px;
  margin: -20px -10px;
}

QSlider::handle:vertical {
  image: url(icon:/primary/slider.png);
  border-radius: 20px;
  width: 20px;
  height: 20px;
  margin: -10px -20px;
}

QSlider::add-page {
background: #232629;
}

QSlider::sub-page {
background: #4dd0e1;
}

/*  ------------------------------------------------------------------------  */
/*  QLabel  */

QLabel {
  border: none;
  background: transparent;
  color: #ffffff
}

QLabel:disabled {
  color: rgba(255, 255, 255, 0.2)
}

/*  ------------------------------------------------------------------------  */
/*  VLines and HLinex  */

QFrame[frameShape="4"] {
    border-width: 1px 0 0 0;
    background: none;
}

QFrame[frameShape="5"] {
    border-width: 0 1px 0 0;
    background: none;
}

QFrame[frameShape="4"],
QFrame[frameShape="5"] {
  border-color: #4f5b62;
}

/*  ------------------------------------------------------------------------  */
/*  QToolBar  */

QToolBar {
  background: #31363b;
  border: 0px solid;
}

QToolBar:horizontal {
  border-bottom: 1px solid #4f5b62;
}

QToolBar:vertical {
  border-right: 1px solid #4f5b62;
}

QToolBar::handle:horizontal {
  image: url(icon:/primary/toolbar-handle-horizontal.png);
}

QToolBar::handle:vertical {
  image: url(icon:/primary/toolbar-handle-vertical.png);
}

QToolBar::separator:horizontal {
  border-right: 1px solid #4f5b62;
  border-left: 1px solid #4f5b62;
  width: 1px;
}

QToolBar::separator:vertical {
  border-top: 1px solid #4f5b62;
  border-bottom: 1px solid #4f5b62;
  height: 1px;
}

/*  ------------------------------------------------------------------------  */
/*  QToolButton  */

QToolButton {
  background: #31363b;
  border: 0px;
  height: 40px;
  margin: 0px;
  padding: 5px;
  border-right: 10px solid #31363b;
  border-left: 10px solid #31363b;
}

QToolButton:hover {
  background: #4f5b62;
  border-right: 10px solid #4f5b62;
  border-left: 10px solid #4f5b62;
}

QToolButton:pressed {
  background: #232629;
  border-right: 10px solid #232629;
  border-left: 10px solid #232629;
}

QToolButton:checked {
  background: #4f5b62;
  border-left: 10px solid #4f5b62;
  border-right: 10px solid #4dd0e1;
}

/*  ------------------------------------------------------------------------  */
/*  General viewers  */

QTableView {
  background-color: #31363b;
  border: 1px solid #232629;
  border-radius: 4px;
}

QTreeView,
QListView {
  border-radius: 4px;
  padding: 5px;
  margin: 0px;
}

QTableView::item,
QTreeView::item,
QListView::item {
  padding: 5px;
  min-height: 25px;
  color: #ffffff;
  selection-color: #ffffff; /* For Windows */
}

/*  ------------------------------------------------------------------------  */
/*  Items Selection */

QTableView:item:selected,
QTreeView::item:selected,
QListView::item:selected {
  background-color: rgba(77, 208, 225, 0.2);
  selection-background-color: rgba(77, 208, 225, 0.2);
  color: #ffffff;
  selection-color: #ffffff; /* For Windows */
}

QTableView:item:selected:focus,
QTreeView::item:selected:focus,
QListView::item:selected:focus {
  background-color: #4dd0e1;
  selection-background-color: #4dd0e1;
  color: #000000;
  selection-color: #000000; /* For Windows */
}

QTableView {
  selection-background-color: rgba(77, 208, 225, 0.2);
}

QTableView:focus {
  selection-background-color: #4dd0e1;
}

QTableView::item:disabled {
  color: rgba(255, 255, 255, 0.3);
  selection-color: rgba(255, 255, 255, 0.3);
  background-color: #232629;
  selection-background-color: #232629;
}

/*  ------------------------------------------------------------------------  */
/*  QTreeView  */

QTreeView::branch{
  background-color: #232629;
}

QTreeView::branch:closed:has-children:has-siblings,
QTreeView::branch:closed:has-children:!has-siblings {
  image: url(icon:/primary/branch-closed.png);
}

QTreeView::branch:open:has-children:!has-siblings,
QTreeView::branch:open:has-children:has-siblings {
  image: url(icon:/primary/branch-open.png);
}

QTreeView::branch:has-siblings:!adjoins-item {
  border-image: url(icon:/disabled/vline.png) 0;
}

QTreeView::branch:has-siblings:adjoins-item {
    border-image: url(icon:/disabled/branch-more.png) 0;
}

QTreeView::branch:!has-children:!has-siblings:adjoins-item,
QTreeView::branch:has-children:!has-siblings:adjoins-item {
    border-image: url(icon:/disabled/branch-end.png) 0;
}

QTreeView QHeaderView::section {
  border: none;
}


/*  ------------------------------------------------------------------------  */
/*  Custom buttons  */

QPushButton.danger {
  border-color: #dc3545;
  color: #dc3545;
}

QPushButton.danger:checked,
QPushButton.danger:pressed {
  color: #31363b;
  background-color: #dc3545;
}

QPushButton.warning{
  border-color: #ffc107;
  color: #ffc107;
}

QPushButton.warning:checked,
QPushButton.warning:pressed {
  color: #31363b;
  background-color: #ffc107;
}

QPushButton.success {
  border-color: #17a2b8;
  color: #17a2b8;
}

QPushButton.success:checked,
QPushButton.success:pressed {
  color: #31363b;
  background-color: #17a2b8;
}

QPushButton.danger:flat:hover {
  background-color: rgba(220, 53, 69, 0.2);
}

QPushButton.danger:flat:pressed,
QPushButton.danger:flat:checked {
  background-color: rgba(220, 53, 69, 0.1);
  color: #dc3545;
}

QPushButton.warning:flat:hover {
  background-color: rgba(255, 193, 7, 0.2);
}

QPushButton.warning:flat:pressed,
QPushButton.warning:flat:checked {
  background-color: rgba(255, 193, 7, 0.1);
  color: #ffc107;
}

QPushButton.success:flat:hover {
  background-color: rgba(23, 162, 184, 0.2);
}

QPushButton.success:flat:pressed,
QPushButton.success:flat:checked {
  background-color: rgba(23, 162, 184, 0.1);
  color: #17a2b8;
}

/*  ------------------------------------------------------------------------  */
/*  QTableView  */

QTableCornerButton::section {
  background-color: #232629;
  border-radius: 0px;
  border-right: 1px solid;
  border-bottom: 1px solid;
  border-color: #31363b;
}

QTableView {
  alternate-background-color: rgba(35, 38, 41, 0.7);
}

QHeaderView {
  border: none;
}

QHeaderView::section {
  color: rgba(255, 255, 255, 0.7);
  text-transform: uppercase;
  background-color: #232629;
  padding: 0 20px;
  height: 35px;
  border-radius: 0px;

  border-right: 1px solid;
  border-bottom: 1px solid;
  border-color: #31363b;
}



/*  ------------------------------------------------------------------------  */
/*  QLCDNumber  */

QLCDNumber {
  color: #4dd0e1;
  background-color:rgba(77, 208, 225, 0.1);
  border: 1px solid rgba(77, 208, 225, 0.3);
  border-radius: 2px;
}

/*  ------------------------------------------------------------------------  */
/*  QCalendarWidget  */

#qt_calendar_prevmonth {
  qproperty-icon: url(icon:/primary/leftarrow.png);
}

#qt_calendar_nextmonth {
  qproperty-icon: url(icon:/primary/rightarrow.png);
}

/*  ------------------------------------------------------------------------  */
/*  Inline QLineEdit  */

QTreeView QLineEdit,
QTableView QLineEdit,
QListView QLineEdit {
  color: #ffffff;
  background-color: #232629;
  border: 1px solid unset;
  border-radius: unset;
  padding: unset;
  padding-left: unset;
  height: unset;
  border-width: unset;
  border-top-left-radius: unset;
  border-top-right-radius: unset;
}

/*  ------------------------------------------------------------------------  */
/*  QToolTip  */

QToolTip {
  padding: 5px;
  border: 1px solid #31363b;
  border-radius: 2px;
  color: #ffffff;
  background-color: #4f5b62;
}

/*  ------------------------------------------------------------------------  */
/*  QDialog  */

QDialog QToolButton,
QDialog QToolButton:hover,
QDialog QToolButton:pressed,
QDialog QToolButton:checked {
  background-color: unset;
  border: 0px;
  height: unset;
  margin: unset;
  padding: unset;
  border-right: unset;
  border-left: unset;
}

/*  ------------------------------------------------------------------------  */
/*  Grips  */


QMainWindow::separator:vertical,
QSplitter::handle:horizontal {
  image: url(icon:/primary/splitter-horizontal.png);
}

QMainWindow::separator:horizontal,
QSplitter::handle:vertical {
  image: url(icon:/primary/splitter-vertical.png);
}

QSizeGrip {
  image: url(icon:/primary/sizegrip.png);
  background-color: transparent;
  width: 16px;
  height: 16px;
}
